#include <stddef.h>
#include <stdint.h>

void *memcpy(void *dest, const void *src, size_t n)
{
	uint8_t *c1 = (uint8_t *)dest;
	const uint8_t *c2 = (const uint8_t *)src;

	for (size_t i = 0; i < n; i++)
		c1[i] = c2[i];
	return c1;
}
