#pragma once

#include <stdarg.h>

#define KERN_DEFAULT "0"
#define KERN_EMERG   "1"
#define KERN_ALERT   "2"
#define KERN_CRIT    "3"
#define KERN_ERR     "4"
#define KERN_WARNING "5"
#define KERN_NOTICE  "6"
#define KERN_INFO    "7"
#define KERN_DEBUG   "8"

int kprintf(const char *restrict format, ...);
int kvprintf(const char *restrict format, va_list *ap);
